package com.jay.monitor.data.server.daos;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jay.monitor.data.server.models.entity.JayMonitorUrl;
import com.jay.monitor.data.server.models.entity.JayMonitorUrlExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JayMonitorUrlMapper extends BaseMapper<JayMonitorUrl> {
    long countByExample(JayMonitorUrlExample example);

    int deleteByExample(JayMonitorUrlExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(JayMonitorUrl record);

    int insertSelective(JayMonitorUrl record);

    List<JayMonitorUrl> selectByExample(JayMonitorUrlExample example);

    JayMonitorUrl selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") JayMonitorUrl record, @Param("example") JayMonitorUrlExample example);

    int updateByExample(@Param("record") JayMonitorUrl record, @Param("example") JayMonitorUrlExample example);

    int updateByPrimaryKeySelective(JayMonitorUrl record);

    int updateByPrimaryKey(JayMonitorUrl record);
}